OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
oms::ResultWriter Class Referenceabstract

`#include <ResultWriter.h>`

Inheritance diagram for oms::ResultWriter:
[legend]

## Public Member Functions
| ResultWriter (unsigned int bufferSize)
virtual | ~ResultWriter ()
unsigned int | addSignal (const ComRef &name, const std::string &description, SignalType_t type)
void | addParameter (const ComRef &name, const std::string &description, SignalType_t type, SignalValue_t value)
bool | create (const std::string &filename, double startTime, double stopTime)
void | close ()
void | updateSignal (unsigned int id, SignalValue_t value)
void | emit (double time)

## Protected Member Functions
virtual bool | createFile (const std::string &filename, double startTime, double stopTime)=0
virtual void | closeFile ()=0
virtual void | writeFile ()=0

## Protected Attributes
std::vector< Signal > | signals
std::vector< Parameter > | parameters
double * | data_2
unsigned int | bufferSize
unsigned int | nEmits

## Private Member Functions
| ResultWriter (ResultWriter const &copy)
ResultWriter & | operator= (ResultWriter const &copy)

## Constructor & Destructor Documentation

## ◆ ResultWriter() [1/2]

oms::ResultWriter::ResultWriter | ( | unsigned int | bufferSize | ) |

## ◆ ~ResultWriter()

oms::ResultWriter::~ResultWriter | ( |  | ) |
| virtual

## ◆ ResultWriter() [2/2]

oms::ResultWriter::ResultWriter | ( | ResultWriter const & | copy | ) |
| private

## Member Function Documentation

## ◆ addParameter()

void oms::ResultWriter::addParameter | ( | const ComRef & | name,
|  | const std::string & | description,
|  | SignalType_t | type,
|  | SignalValue_t | value
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ addSignal()

unsigned int oms::ResultWriter::addSignal | ( | const ComRef & | name,
|  | const std::string & | description,
|  | SignalType_t | type
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ close()

void oms::ResultWriter::close | ( |  | ) |

## ◆ closeFile()

virtual void oms::ResultWriter::closeFile | ( |  | ) |
| protected pure virtual

Implemented in oms::CSVWriter, oms::MATWriter, and oms::VoidWriter.

## ◆ create()

bool oms::ResultWriter::create | ( | const std::string & | filename,
|  | double | startTime,
|  | double | stopTime
| ) |  |

## ◆ createFile()

virtual bool oms::ResultWriter::createFile | ( | const std::string & | filename,
|  | double | startTime,
|  | double | stopTime
| ) |  |
| protected pure virtual

Implemented in oms::CSVWriter, oms::MATWriter, and oms::VoidWriter.

## ◆ emit()

void oms::ResultWriter::emit | ( | double | time | ) |

## ◆ operator=()

ResultWriter & oms::ResultWriter::operator= | ( | ResultWriter const & | copy | ) |
| private

## ◆ updateSignal()

void oms::ResultWriter::updateSignal | ( | unsigned int | id,
|  | SignalValue_t | value
| ) |  |

Here is the caller graph for this function:

## ◆ writeFile()

virtual void oms::ResultWriter::writeFile | ( |  | ) |
| protected pure virtual

Implemented in oms::CSVWriter, oms::MATWriter, and oms::VoidWriter.

## Member Data Documentation

## ◆ bufferSize

unsigned int oms::ResultWriter::bufferSize
| protected

## ◆ data_2

double* oms::ResultWriter::data_2
| protected

## ◆ nEmits

unsigned int oms::ResultWriter::nEmits
| protected

## ◆ parameters

std::vector<Parameter> oms::ResultWriter::parameters
| protected

## ◆ signals

std::vector<Signal> oms::ResultWriter::signals
| protected

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/ResultWriter.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/ResultWriter.cpp